API de consumidor
This request is used by the bank backend to request the registration of the end user with personal information.
Note
It is strongly recommended to provide the end user personal information such as first and last name, email, phone number, postal address. Personal information is used in
D1 Tokenizationby the Decision Engine or inD1 Pushwhen building the card information to push to OEM Wallet.
Note
Some end user personal information are mandatory for issuers using
D1 Click to Payservice. These mandatory personal information such as mobilePhoneNumber or language are tagged bellow with "This field is mandatory for Click to Pay".
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the consumer.
^[A-Za-z0-9_-]{1,64}$Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
^[A-Za-z0-9_-]{1,64}$Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.
^[A-Za-z0-9_-]{1,15}$The following object represent the end user (consumer).
Successful consumer registration.
Sin contenido
Bad Request, Invalid request URI, header, paramters. The below table defines the possible 'Bad request' error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| FIELD_INVALID_FORMAT | Contains the field in error (first found) | no | JSON not well formatted or One field is not expected format as defined in this documentation |
| FIELD_INVALID_VALUE | - | no | One field value is not allowed for the given field |
Unauthorized request, the provided Authorization header is missing or invalid. In the table below only the field "error" is provided.
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| AUTHORIZER_UNAUTHORIZED | Unauthorized message | no | Access token not valid |
Forbidden action, check the state of the linked consumer or card. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| AUTHORIZER_FORBIDDEN | not_authorized error message | no | User_is_not_authorized_to_access_this_resource |
| CONSUMER_INVALID_STATE | contains the state of the resource | no | Consumer already exists and is deleted |
| MISSING_C2P_MANDATORY_INFORMATION | contains the missing field | no | All required fields for Click to Pay are not present (firstName, lastName, language, mobilePhoneNumber, countryCode, email) or residencyAddress.state length > 3 |
Ressource not found, Unknown issuerId or consumerId or card id'. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
Internal Server Error. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | yes | No error details available |
| INTERNAL_ERROR | Error details if any | no | The server has encountered an error when executing the request. |
The service is temporarily unavailable. You may retry your request later.
PUT /banking/v2/issuers/{issuerId}/consumers/{consumerId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 560
{
"personalInformation": {
"gender": "MALE",
"language": "eng",
"firstName": "John",
"middleName": "John",
"lastName": "Doe",
"secondLastName": "Doe",
"dateOfBirth": "1990-01-01",
"title": "Mr.",
"nationality": "FR",
"email": "john.doe@dummymail.com",
"mobilePhoneNumber": {
"countryCode": "+420",
"phoneNumber": "777222333"
},
"residencyAddress": {
"recipientName": "Mr The Concierge",
"line1": "Address line",
"line2": "Address line",
"line3": "Address line",
"line4": "Address line",
"city": "Prague",
"state": "21",
"zipCode": "140 00",
"countryCode": "CZ"
}
},
"preferences": {
"notificationChannel": [
"SMS"
]
}
}Sin contenido
This request is used to request the end user card list. It will return the cards & digital cards and associated accounts.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the consumer.
^[A-Za-z0-9_-]{1,64}$Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
^[A-Za-z0-9_-]{1,64}$Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.
^[A-Za-z0-9_-]{1,15}$Successful get end user card list
Bad Request, Invalid request URI, header, paramters. The below table defines the possible 'Bad request' error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| FIELD_INVALID_FORMAT | Contains the field in error (first found) | no | JSON not well formatted or One field is not expected format as defined in this documentation |
Unauthorized request, the provided Authorization header is missing or invalid. In the table below only the field "error" is provided.
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| AUTHORIZER_UNAUTHORIZED | Unauthorized message | no | Access token not valid |
Forbidden action detected by WAF or the application.
The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| AUTHORIZER_FORBIDDEN | not authorized error message | no | User is not authorized to access this resource |
| CONSUMER_INVALID_STATE | Deleted consumer message | no | Consumer is in DELETED state |
Ressource not found, Unknown issuerId or consumerId or card id'. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| UNKNOWN_CONSUMER | - | no | Consumer does not exist |
Internal Server Error. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| INTERNAL_ERROR | error details if any | no | The server has encountered an error when executing the request. |
The service is temporarily unavailable. You may retry your request later.
GET /banking/v2/issuers/{issuerId}/consumers/{consumerId}/cards HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
This request is used by the bank backend to request the deletion of an end user. It will also in cascade delete all the accounts, cards and digital cards owned by the end user. Note: The deletion of the end user cannot be reverted. If the same end user is willing to reuse the solution, we will require a new end user registration with a new consumerId.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the consumer.
^[A-Za-z0-9_-]{1,64}$Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
^[A-Za-z0-9_-]{1,64}$Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.
^[A-Za-z0-9_-]{1,15}$The reason why the action is performed.
This a free text field in case the bank wants to send details, that will be returned in the operations list.
customer was contacted on June 28Pattern: ^[a-zA-Z0-9 ]{1,64}$End user was deleted Successfully
Unique identifier of the operation
^[A-Za-z0-9_-]{1,64}$Bad Request, Invalid request URI, header, paramters. The below table defines the possible 'Bad request' error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| FIELD_INVALID_FORMAT | Contains the field in error (first found) | no | JSON not well formatted or One field is not expected format as defined in this documentation |
Unauthorized request, the provided Authorization header is missing or invalid. In the table below only the field "error" is provided.
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| AUTHORIZER_UNAUTHORIZED | Unauthorized message | no | Access token not valid |
Forbidden action detected by WAF or the application.
The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| AUTHORIZER_FORBIDDEN | not authorized error message | no | User is not authorized to access this resource |
Ressource not found, Unknown issuerId or consumerId or card id'. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| UNKNOWN_CONSUMER | - | no | Consumer does not exist |
Internal Server Error. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| INTERNAL_ERROR | error details if any | no | The server has encountered an error when executing the request. |
The service is temporarily unavailable. You may retry your request later.
POST /banking/v2/issuers/{issuerId}/consumers/{consumerId}/operations:delete HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"reason": "customer was contacted on June 28"
}{
"operationId": "text"
}This request is used by the bank backend to request the update of the consumer information.
Note
Some end user personal information are mandatory for issuers using
D1 Click to Payservice. These mandatory personal information such as mobilePhoneNumber or language are tagged bellow with "This field is mandatory for Click to Pay".
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the consumer.
^[A-Za-z0-9_-]{1,64}$Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
^[A-Za-z0-9_-]{1,64}$Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.
^[A-Za-z0-9_-]{1,15}$The following object represent the information of the consumer or cardholder.
Consumer successfully updated.
Unique identifier of the operation
^[A-Za-z0-9_-]{1,64}$Bad Request, Invalid request URI, header, paramters. The below table defines the possible 'Bad request' error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| FIELD_INVALID_FORMAT | Contains the field in error (first found) | no | JSON not well formatted or One field is not expected format as defined in this documentation |
| FIELD_INVALID_VALUE | - | no | One field value is not allowed for the given field |
Unauthorized request, the provided Authorization header is missing or invalid. In the table below only the field "error" is provided.
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| AUTHORIZER_UNAUTHORIZED | Unauthorized message | no | Access token not valid |
Forbidden action, check the state of the linked consumer or card. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| AUTHORIZER_FORBIDDEN | not_authorized error message | no | User_is_not_authorized_to_access_this_resource |
| CONSUMER_INVALID_STATE | contains the state of the resource | no | Consumer already exists and is deleted |
| MISSING_C2P_MANDATORY_INFORMATION | contains the missing field | no | All required fields for Click to Pay are not present (firstName, lastName, language, mobilePhoneNumber, countryCode, email) or residencyAddress.state length > 3 |
Ressource not found, Unknown issuerId or consumerId or card id'. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| UNKNOWN_CONSUMER | - | no | Consumer does not exist |
Internal Server Error. The below table defines the possible error:
| errorCode | error | Retryable | Comments |
|---|---|---|---|
| - | - | no | No error details available |
| INTERNAL_ERROR | Error details if any | no | The server has encountered an error when executing the request. |
The service is temporarily unavailable. You may retry your request later.
POST /banking/v2/issuers/{issuerId}/consumers/{consumerId}/operations:update HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 558
{
"personalInformation": {
"gender": "MALE",
"language": "eng",
"firstName": "John",
"middleName": "John",
"lastName": "Doe",
"secondLastName": "Doe",
"dateOfBirth": "1990-01-01",
"title": "Mr.",
"nationality": "FR",
"email": "john.doe@dummymail.com",
"mobilePhoneNumber": {
"countryCode": "+420",
"phoneNumber": "777222333"
},
"residencyAddress": {
"recipientName": "Mr The Concierge",
"line1": "Address line",
"line2": "Address line",
"line3": "Address line",
"line4": "Address line",
"city": "Prague",
"state": 21,
"zipCode": "140 00",
"countryCode": "CZ"
}
},
"preferences": {
"notificationChannel": [
"SMS"
]
}
}{
"operationId": "text"
}Última actualización
¿Te fue útil?